<?php
/**
 * @file
 * Module functions for moneybird commerce module.
 * Defines the functions that will be used throughout the module
 * Written by Kevin Muller (kevin@enova-tech.net),
 * Cedric Alfonsi (cedric.alfonsi@enova-tech.net)
 * Updated by Robert Ragas (robert@goalgorilla.com)
 */

/**
 * Custom function to get tax rates.
 */
function moneybird_commerce_get_tax_rates()
{
  $result = db_query(
    "SELECT * FROM {moneybird_tax_rates} tr
     WHERE tr.tax_rate_type = 'sales_invoice'"
  )->fetchAll();

  if (!$result) {
    return TRUE;
  }

  $options = array();
  foreach ($result as $key => $value) {
    $options[$value->tid] = $value->name;
  }

  return $options;
}

/**
 * Custom function to get document styles.
 */
function moneybird_commerce_get_document_styles()
{
  $result = db_query(
    "SELECT * FROM {moneybird_document_styles} ds"
  )->fetchAll();

  if (!$result) {
    return TRUE;
  }

  $options = array();
  foreach ($result as $key => $value) {
    $options[$value->did] = $value->name;
  }

  return $options;
}

/**
 * Custom function to get workflows.
 */
function moneybird_commerce_get_workflows()
{
  $result = db_query(
    "SELECT * FROM {moneybird_workflows} wf
     WHERE wf.type = 'InvoiceWorkflow'"
  )->fetchAll();

  if (!$result) {
    return TRUE;
  }

  $options = array();
  foreach ($result as $key => $value) {
    $options[$value->wid] = $value->name;
  }

  return $options;
}